// priority: 100

events.listen('recipes', function (event) {

	event.replaceInput({output: 'occultism:candle_white', type: 'minecraft:crafting_shaped'}, 'occultism:tallow', 'quark:tallow')
	
	event.replaceInput({output: 'eidolon:candle', type: 'minecraft:crafting_shaped'}, 'eidolon:tallow', 'quark:tallow')
	
	event.replaceInput({output: 'bhc:canister', type: 'minecraft:crafting_shaped'}, 'minecraft:bone', 'iceandfire:dragonbone')
	
	event.replaceInput({output: 'ironfurnaces:augment_speed', type: 'minecraft:crafting_shaped'}, 'minecraft:sugar', 'charm:sugar_block')
	
	event.replaceInput({output: (Item.of('watercan:watercan_stone').ignoreNBT()), type: 'minecraft:crafting_shaped'}, 'minecraft:bowl', (Item.of('watercan:watercan_wood').ignoreNBT()))
	event.replaceInput({output: (Item.of('watercan:watercan_iron').ignoreNBT()), type: 'minecraft:crafting_shaped'}, 'minecraft:bucket', (Item.of('watercan:watercan_stone').ignoreNBT()))
	event.replaceInput({output: (Item.of('watercan:watercan_gold').ignoreNBT()), type: 'minecraft:crafting_shaped'}, 'minecraft:bucket', (Item.of('watercan:watercan_iron').ignoreNBT()))
	event.replaceInput({output: (Item.of('watercan:watercan_diamond').ignoreNBT()), type: 'minecraft:crafting_shaped'}, 'minecraft:bucket', (Item.of('watercan:watercan_gold').ignoreNBT()))
	
	event.replaceInput({output: 'powah:furnator_starter', type: 'minecraft:crafting_shaped'}, 'minecraft:furnace', 'industrialforegoing:pitiful_generator')
	
	event.replaceInput({output: 'industrialforegoing:machine_frame_pity', type: 'minecraft:crafting_shaped'}, '#forge:ingots/iron', 'kubejs:diorite_alloy')
	
	event.replaceInput({output: 'forbidden_arcanus:bat_soup', type: 'minecraft:crafting_shapeless'}, 'forbidden_arcanus:bat_wing', 'xreliquary:bat_wing')
	
	event.replaceInput({output: '/industrialforegoing:conveyo.+/', type: 'minecraft:crafting_shaped'}, 'minecraft:iron_ingot', 'kubejs:diorite_alloy')
	
	event.replaceInput({output: '@zycraft'}, 'zycraft:aluminium', 'immersiveengineering:ingot_aluminum')
	
	event.replaceInput({output: 'tinyredstone:redstone_panel'}, 'tinyredstone:silicon', 'refinedstorage:silicon')
	
	event.replaceInput({output: 'framedblocks:framed_cube'}, '#minecraft:planks', 'minecraft:scaffolding')
	
	event.replaceInput({output: 'zycraft:the_aurey_block'}, 'zycraft:aluminium_block', 'immersiveengineering:storage_aluminum')
	
	event.replaceInput({type: 'minecraft:crafting_shaped'}, 'forbidden_arcanus:dragon_scale', ['forbidden_arcanus:dragon_scale', 'bountifulbaubles:ender_dragon_scale'])
	
	event.replaceInput({type: 'minecraft:crafting_shapeless'}, 'forbidden_arcanus:dragon_scale', ['forbidden_arcanus:dragon_scale', 'bountifulbaubles:ender_dragon_scale'])
	
	//mgutils
	
	event.replaceInput({output: 'mob_grinding_utils:fan_upgrade_width'}, '#forge:feathers', 'botania:daffomill')
	event.replaceInput({output: 'mob_grinding_utils:fan_upgrade_height'}, '#forge:feathers', 'botania:daffomill')
	event.replaceInput({output: 'mob_grinding_utils:fan_upgrade_speed'}, '#forge:feathers', 'botania:daffomill')
	
	event.replaceInput({output: 'mob_grinding_utils:fan_upgrade_width'}, '#forge:ingots/iron', Item.of('tconstruct:large_plate', {Material:"tconstruct:copper"}))
	event.replaceInput({output: 'mob_grinding_utils:fan_upgrade_height'}, '#forge:ingots/iron', Item.of('tconstruct:large_plate', {Material:"tconstruct:copper"}))
	event.replaceInput({output: 'mob_grinding_utils:fan_upgrade_speed'}, '#forge:ingots/iron', Item.of('tconstruct:large_plate', {Material:"tconstruct:copper"}))
	
	event.replaceInput({output: '/mob_grinding_utils:.+upgrade.+/'}, '#forge:nuggets/gold', Item.of('tconstruct:large_plate', {Material:"tconstruct:copper"}))
});